Bug 807794 - [abrt] pulseaudio-0.9.23-1.fc16: __GI_raise: Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
[abrt] pulseaudio-0.9.23-1.fc16: __GI_raise: Process /usr/bin/pulseaudio was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
abrt_hash:ddbab7df6bc47209edc022528b6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 14:08 EDT by Eric L
Modified: 2013-02-13 11:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:24:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (5.76 KB, text/plain)
2012-03-28 14:08 EDT, Eric L
no flags Details
File: maps (26.40 KB, text/plain)
2012-03-28 14:08 EDT, Eric L
no flags Details
File: backtrace (38.29 KB, text/plain)
2012-03-28 14:08 EDT, Eric L
no flags Details

  None (edit)
Description Eric L 2012-03-28 14:08:43 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start --log-target=syslog
comment:        Trying to play an MP3 in Amarok. Phonon's soundtest still works ("Front left.." "Front right..."), VLC works when feeding straight into ALSA.
crash_function: __GI_raise
executable:     /usr/bin/pulseaudio
kernel:         3.2.7-1.fc16.x86_64
pid:            5463
pwd:            /
reason:         Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
time:           Wed 28 Mar 2012 02:06:07 PM EDT
uid:            1000
username:       eric

backtrace:      Text file, 39207 bytes
dso_list:       Text file, 5895 bytes
maps:           Text file, 27030 bytes

build_ids:
:183412734bba665fdf61df9a745faf6ad196246b
:2d58ffa4871624dd704579449de271196f998b17
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:28c85e103d92afd13ad9f63c606604480ffcd2fb
:fcc87e65e2b9e0ec4b149067b98c9c7c28233ae8
:9d84e24aac9f86257ddf37b52700e19bd905c666
:5cd7da626d3c1a354fbfe8b5b300b87174043fe8
:20979f9d08934f6ffb477df877fd2afacf0a9ff2
:a638ccc3535e307dfbe8338df04ee414b42a606c
:56cd3347110de747f80fa8861408aea45fc7b74b
:d0c6e13f00a20952a72a945c929efb175fd760e3
:7ddde233293b60ff6de1dabd78d95aa43e47fc23
:28b4e6ecaf67f8de6d8141fabf4e280de57bdab8
:3d43eb13a58412ed7effc0be342bdf729cf24c80
:e27e839acb97e05b51a9a0ad5c1c5ad8c407d473
:638db099ff5fb986d1a092629d1bb1dca5be4904
:e5429e0905bedecc534b057783916ba43e06a66e
:f60dd3c6871c8305b91dcabed6c9575871980c93
:2639b5594fe4d7897db63ecd1ebb9681438317a8
:82f286a69527cbfce597ddd9b000d45f1ba8e674
:f417b25f83a1b878b1a8965478a7eecf0344eaca
:4b01fe6e705219deca2756ff0720d52ec81b4c87
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:25b834f4c4dc534708635ff1064e2fe02a366a62
:4a7e68edf2778a9fbd3d4a8fbd3f9d1e7b785fc6
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:2eeac2204ea83698d99dd9ef35197cf15a1d2e85
:95ae380e24d58dc113df6d6dc5c8b9996423758c
:6f00d1bd4634cf0a3e6223528247304fca90e8c9
:cc32e70895d23acd7bde1ef1a3286b5e179e2d49
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:4c842320387ff7f6f91b7842b223c16518be909f
:c1f034e216940c41dbe23880c3400ef9cffae35d
:f76b984be770d7d24d6ff99278ca9b18652ec542
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:7afaf469cce2734d418bb0aecfe337122cc3b24b
:be507c791e34415e8f42f0e6030c889b2895cf9a
:c11d9d292be8772b0841012e2ecb922215db8f8a
:68a62fb1db4a321f4ba9c6efbd6cb79027872f77
:e2d68a0ee0872365dcc8c6640b7cd7b94c8276f2
:124bfd663f5587288e6e0da8497fb4153469e657
:040f78c63e49df93936f710287bdc74ae83111c0
:75eaece6e0d1e075520cdfad5c398fdab4370846
:b4b893d18ba05c317b225e2c3520eb9f2a6ffbe2
:710693468a9dc88cb6f6a801fa40dc4bb3e2dbdf
:721acc75c1d49f60941efd866ec966af3caa5795
:336d91abcd88a7497bfa631272530ff03b5d3f84
:35f50774d1490c8798688e6ae118da7db83c0678
:34e8b3cee73a6d0b8ac17c69ba4b1170724db64c
:652978274d9edf0accf8057af35746fe32ca8b1c
:b092238efe70555aea56f2dd242b7c0fe06d29b6
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:daec0ba0ef53c9f6c098d2b47f5974fa82aff498
:b5e9e3dd039f9823f6a4c7cef599cae7b3b39319
:2670385f49fb9f120f7cf843f211e3c620da8632

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=9
:SSH_AGENT_PID=11221
:HOSTNAME=ericdesktop.internal.lan
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/eric/.gnupg/S.gpg-agent:11245:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=6fd04ca2395e56150a3e6bde0000000c-1332780746.188931-497127567
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-Znqb5f
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=eric
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-uJpBXHU11089/agent.11089
:USERNAME=eric
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/eric
:DESKTOP_SESSION=xfce
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/eric/bin
:QT_IM_MODULE=xim
:PWD=/home/eric
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=en_US.utf8
:GNOME_KEYRING_PID=11085
:KDEDIRS=/usr
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/eric
:LOGNAME=eric
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-z6UeqxZ5yu,guid=00274ebf930dc04e6a8ce27000004ae9
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/eric
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-eric-KjPTU2/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/11254,unix/unix:/tmp/.ICE-unix/11254
:DISPLAY=:0.0
:LANGUAGE=
:PULSE_PROP_media.role=music
:PULSE_PROP_phonon.streamid={2156db2c-e098-4863-880f-bd9f10a158d9}
:MYSQL_HOME=/home/eric/.kde/share/apps/amarok/
:DEFAULT_HOME_ENV=/home/eric/.kde/share/apps/amarok/
:LD_BIND_NOW=1

var_log_messages:
:Mar 26 12:49:27 ericdesktop rtkit-daemon[1771]: Successfully made thread 11039 of process 11039 (/usr/bin/pulseaudio) owned by '42' high priority at nice level -11.
:Mar 26 12:49:27 ericdesktop rtkit-daemon[1771]: Successfully made thread 11040 of process 11039 (/usr/bin/pulseaudio) owned by '42' RT at priority 5.
:Mar 26 12:49:27 ericdesktop rtkit-daemon[1771]: Successfully made thread 11041 of process 11039 (/usr/bin/pulseaudio) owned by '42' RT at priority 5.
:Mar 26 12:49:27 ericdesktop rtkit-daemon[1771]: Successfully made thread 11042 of process 11039 (/usr/bin/pulseaudio) owned by '42' RT at priority 5.
:Mar 26 12:52:27 ericdesktop rtkit-daemon[1771]: Successfully made thread 11422 of process 11422 (/usr/bin/pulseaudio) owned by '1000' high priority at nice level -11.
:Mar 26 12:52:27 ericdesktop rtkit-daemon[1771]: Successfully made thread 11488 of process 11422 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
:Mar 26 12:52:27 ericdesktop rtkit-daemon[1771]: Successfully made thread 11495 of process 11422 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
:Mar 26 12:52:28 ericdesktop rtkit-daemon[1771]: Successfully made thread 11506 of process 11506 (/usr/bin/pulseaudio) owned by '1000' high priority at nice level -11.
:Mar 26 12:52:28 ericdesktop pulseaudio[11506]: pid.c: Daemon already running.
:Mar 27 13:01:57 ericdesktop pulseaudio[11422]: alsa-sink.c: Error opening PCM device front:0: Device or resource busy
:Mar 27 13:01:57 ericdesktop pulseaudio[11422]: alsa-sink.c: Error opening PCM device front:0: Device or resource busy
:Mar 28 14:05:08 ericdesktop pulseaudio[11422]: resampler.c: Assertion '(unsigned) data.input_frames_used == in_n_frames' failed at pulsecore/resampler.c:1230, function libsamplerate_resample(). Aborting.
:Mar 28 14:05:08 ericdesktop abrt[5450]: Saved core dump of pid 11422 (/usr/bin/pulseaudio) to /var/spool/abrt/ccpp-2012-03-28-14:05:08-11422 (19230720 bytes)
:Mar 28 14:05:08 ericdesktop rtkit-daemon[1771]: Successfully made thread 5463 of process 5463 (/usr/bin/pulseaudio) owned by '1000' high priority at nice level -11.
:Mar 28 14:05:08 ericdesktop pulseaudio[5463]: pid.c: Stale PID file, overwriting.
:Mar 28 14:05:08 ericdesktop rtkit-daemon[1771]: Successfully made thread 5464 of process 5463 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
:Mar 28 14:05:08 ericdesktop rtkit-daemon[1771]: Successfully made thread 5465 of process 5463 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
:Mar 28 14:05:45 ericdesktop rtkit-daemon[1771]: Successfully made thread 5490 of process 5463 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
:Mar 28 14:06:07 ericdesktop pulseaudio[5463]: resampler.c: Assertion '(unsigned) data.input_frames_used == in_n_frames' failed at pulsecore/resampler.c:1230, function libsamplerate_resample(). Aborting.
:Mar 28 14:06:08 ericdesktop abrt[5515]: Saved core dump of pid 5463 (/usr/bin/pulseaudio) to /var/spool/abrt/ccpp-2012-03-28-14:06:07-5463 (27652096 bytes)
:Mar 28 14:06:08 ericdesktop rtkit-daemon[1771]: Successfully made thread 5529 of process 5529 (/usr/bin/pulseaudio) owned by '1000' high priority at nice level -11.
:Mar 28 14:06:08 ericdesktop pulseaudio[5529]: pid.c: Stale PID file, overwriting.
:Mar 28 14:06:08 ericdesktop rtkit-daemon[1771]: Successfully made thread 5530 of process 5529 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
:Mar 28 14:06:08 ericdesktop rtkit-daemon[1771]: Successfully made thread 5531 of process 5529 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
Comment 1 Eric L 2012-03-28 14:08:46 EDT
Created attachment 573415 [details]
File: dso_list
Comment 2 Eric L 2012-03-28 14:08:48 EDT
Created attachment 573416 [details]
File: maps
Comment 3 Eric L 2012-03-28 14:08:50 EDT
Created attachment 573417 [details]
File: backtrace
Comment 4 Eric L 2012-03-28 14:45:36 EDT
I deleted the ~/.pulse/ directory and restarted pulseaudio in the console. Trying to play a track in Amarok yields:

E: resampler.c: Assertion '(unsigned) data.input_frames_used == in_n_frames' failed at pulsecore/resampler.c:1230, function libsamplerate_resample(). Aborting.
Aborted (core dumped)
Comment 5 Eric L 2012-03-28 14:59:58 EDT
Okay, Googling shows this is a problem with libsamplerate's src-linear resampler. Odd, because it worked for a while. In any case, switching it to speex-float-0 cures the crashes.
Comment 6 Fedora End Of Life 2013-01-16 10:02:45 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 11:24:05 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.